DCMTK: DJ_RPLossy Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DJ_RPLossy Class Reference

representation parameter for lossy JPEG More...

Inheritance diagram for DJ_RPLossy:

## Public Member Functions
| DJ_RPLossy (int aQuality=90)
| constructor
| DJ_RPLossy (const DJ_RPLossy &arg)
| copy constructor
virtual | ~DJ_RPLossy ()
| destructor
virtual DcmRepresentationParameter * | clone () const
| this methods creates a copy of type DcmRepresentationParameter * it must be overweritten in every subclass.
virtual const char * | className () const
| returns the class name as string.
virtual OFBool | operator== (const DcmRepresentationParameter &arg) const
| compares an object to another DcmRepresentationParameter.
int | getQuality () const
| returns the compression quality factor
Public Member Functions inherited from DcmRepresentationParameter
| DcmRepresentationParameter ()
| default constructor
| DcmRepresentationParameter (const DcmRepresentationParameter &)
| copy constructor
virtual | ~DcmRepresentationParameter ()
| destructor

## Private Attributes
int | quality
| compression quality factor

## Detailed Description

representation parameter for lossy JPEG

## Constructor & Destructor Documentation

## ◆ DJ_RPLossy()

DJ_RPLossy::DJ_RPLossy | ( | int | aQuality = 90 | ) |

constructor

Parameters

  aQuality | quality factor

Referenced by DJ_RPLossy().

## Member Function Documentation

## ◆ className()

virtual const char * DJ_RPLossy::className | ( |  | ) | const
| virtual

returns the class name as string.

can be used in operator== as poor man's RTTI replacement.

Implements DcmRepresentationParameter.

## ◆ clone()

virtual DcmRepresentationParameter * DJ_RPLossy::clone | ( |  | ) | const
| virtual

this methods creates a copy of type DcmRepresentationParameter * it must be overweritten in every subclass.

Returns
  copy of this object

Implements DcmRepresentationParameter.

References DcmRepresentationParameter::DcmRepresentationParameter().

## ◆ getQuality()

int DJ_RPLossy::getQuality | ( |  | ) | const
| inline

returns the compression quality factor

Returns
  compression quality factor

References quality.

## ◆ operator==()

virtual OFBool DJ_RPLossy::operator== | ( | const DcmRepresentationParameter & | arg | ) | const
| virtual

compares an object to another DcmRepresentationParameter.

Implementation must make sure that classes are comparable.

Parameters

  arg | representation parameter to compare with

Returns
  true if equal, false otherwise.

Implements DcmRepresentationParameter.

References DcmRepresentationParameter::DcmRepresentationParameter().

The documentation for this class was generated from the following file:

- dcmjpeg/include/dcmtk/dcmjpeg/djrploss.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1